#include <SPI.h>           // підключення необхідного
#include "Arduino.h"       // підключення необхідного
#include <Adafruit_GFX.h>  // підключення необхідного
#include <Max72xxPanel.h>  // підключення необхідного

// схема з'єднання контролера та матриці:
// https://pletyvo.in.ua/images/node_mcu/scheme1.jpg


Max72xxPanel matrix = Max72xxPanel(15, 1, 8);

// функція setup виконується на початку роботи, один раз
void setup() {              
    matrix.setIntensity(4); // яскравість матриці від 0 до 15
    matrix.setRotation(1);  
}

// код в loop буде повторюватися постійно - вічний цикл
void loop() {

    matrix.fillScreen(LOW);       //  заявляємо виключення всіх пікселів матриці
    matrix.write();               // вивід пікселів безпосередньо на матрицю
    matrix.drawPixel(1, 2, HIGH); // заявляємо засвічування пікселя з вказаними координатами
    matrix.write();               // вивід пікселів безпосередньо на матрицю
    delay(300);                   // пауза в мілісекундах
    matrix.drawPixel(1, 2, LOW);  // заявляємо виключення пікселя з вказаними координатами
    matrix.write();               // вивід пікселів безпосередньо на матрицю
    delay(300);                   // пауза в мілісекундах
}
